;;; (load "rmail")
(load "shell")
(load "dabbrev")
;;; (load "sendmail")
;;; For Suntools version of emacs only
;;; (load "sun-mouse")
;;; (load "sun-fns")
(load "clsc")

; Bind .for files to fortran mode
; (delq (assoc "\\.for$" auto-mode-alist) auto-mode-alist)
(setq auto-mode-alist
      (cons (cons "\\.for$" 'fortran-mode) auto-mode-alist))

; Add mode for .ltx files if not there already
(if (not (assoc "\\.ltx$" auto-mode-alist))
    (setq auto-mode-alist
	  (cons (cons "\\.ltx$" 'LaTeX-mode) auto-mode-alist)))

; Now get rid of default autoloading to old latex mode, and reattach it
; to our new version
(fmakunbound 'latex-mode)
(fmakunbound 'LaTeX-mode)
(autoload 'LaTeX-mode "latex"
  "\
Major editing mode for LaTeX, with tex-mode underneath.

To create a new LaTeX document, use M-X make-LaTeX-document (on
\\[make-LaTeX-document]).  With an argument, it will provide some
additional helpful comments.  It will prompt for document style and
options.  Type ? to see the standard ones; you can enter them with
name completion.  You can also enter your own, since it is possible to
have private styles and options unknown to make-LaTeX-document.

The most frequent LaTeX construct is the \\begin{}...\\end{} grouping;
you can generate it by LaTeX-begin-end-block (on
\\[LaTeX-begin-end-block]).  With an argument, a helpful comment may
be printed.  Type ? to see the standard environments, or enter your
own.

Other common constructs are the insertion of labels, citations,
cross-references, index entries, and additional items in a list.  The
functions

	\\[LaTeX-cite]	LaTeX-cite
	\\[LaTeX-footnote]	LaTeX-footnote
	\\[LaTeX-index]	LaTeX-index
	\\[LaTeX-item]	LaTeX-item
	\\[LaTeX-label]	LaTeX-label
	\\[LaTeX-pageref]	LaTeX-pageref
	\\[LaTeX-ref]	LaTeX-ref

provide for these.

You can move over \\begin{} ... \\end{} groups with LaTeX-to-begin (on
\\[LaTeX-to-begin]) and LaTeX-to-\\end (on \\[LaTeX-to-\\end]).

Insertion of paired braces, braces, and parenthesis is provided by

	\\[LaTeX-insert-braces]	LaTeX-insert-braces
	\\[LaTeX-insert-brackets]	LaTeX-insert-brackets
	\\[LaTeX-insert-parentheses]	LaTeX-insert-parentheses

With an argument, these insert backslash prefixes for literal braces,
math mode, and displaymath mode.

Most other major LaTeX macros can be entered by LaTeX-macro (on \\[LaTeX-macro]).
This will supply the correct set of following braces, brackets, and
parentheses, and with an argument, will insert a short comment about the
expected command arguments.

You can test for undefined labels with check-LaTeX-labels, and display
the labels and their line numbers with show-LaTeX-labels.

Environment nesting errors can be caught by check-LaTeX-nesting.

Unbalanced character pairs are found by
	\\[LaTeX-check-brace-balance]	LaTeX-check-brace-balance
	\\[LaTeX-check-bracket-balance]	LaTeX-check-bracket-balance
	\\[LaTeX-check-parenthesis-balance]	LaTeX-check-parenthesis-balance

Use indent-LaTeX-\\begin{}-\\end{}-groups to get nested environments
nested for improved visibility."
  t)

(garbage-collect)
